package xtremelyvirtualstudio.xvs.Tracked;

import android.content.Intent;
import android.net.Uri;
import android.provider.Settings;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.ActivityObject;
import anywheresoftware.b4a.BA.Permissions;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;

@ShortName("TurnGPS")
@Permissions(values={"android.permission.WRITE_SECURE_SETTINGS"})
@ActivityObject
@Author("XverhelstX")
@Version(1.1f)


public class TurnGPS{
	
	private BA ba; 
	
    /**
     * Initializes the TurnGPS Library.
     *
     */
	
	public void Initialize(BA ba)
	{
	  this.ba = ba;
	  
	}
    /**
     * Toggles the GPS on. Note that this method actually activate the GPS immediately (unlike most other methods that
     *goes to the Settings Screen.).
     */
	

	public void turnGPSOn(){
		
		String provider = Settings.Secure.getString(ba.context.getContentResolver(), Settings.Secure.LOCATION_PROVIDERS_ALLOWED);
		
	    if(!provider.contains("gps")){
	    	final Intent poke = new Intent();
	    	poke.setClassName("com.android.settings","com.android.settings.widget.SettingsAppWidgetProvider"); //$NON-NLS-1$//$NON-NLS-2$
	    	poke.addCategory(Intent.CATEGORY_ALTERNATIVE);
	    	poke.setData(Uri.parse("3")); //$NON-NLS-1$
	    	ba.context.sendBroadcast(poke);
	    }
	}
	
    /**
     * Toggles the GPS off. Note that this method actually disables the GPS immediately (unlike most other methods that
     *goes to the Settings Screen.).
     */
	public void turnGPSOff(){
		
		String provider = Settings.Secure.getString(ba.context.getContentResolver(), Settings.Secure.LOCATION_PROVIDERS_ALLOWED);
		
	    if(provider.contains("gps")){
	    	final Intent poke = new Intent();
	    	poke.setClassName("com.android.settings","com.android.settings.widget.SettingsAppWidgetProvider"); //$NON-NLS-1$//$NON-NLS-2$
	    	poke.addCategory(Intent.CATEGORY_ALTERNATIVE);
	    	poke.setData(Uri.parse("3")); //$NON-NLS-1$
	    	ba.context.sendBroadcast(poke);
	    }
	}


}




